from distutils.core import setup

from pathlib import Path
dir = Path(__file__).parent
desc = (dir / "README.md").read_text(encoding='utf-8')


setup(
  name = 'nextcel',     
  packages = ['nextcel', 'nextcel.lib'], 
  version = '1.3.1',      
  license='MIT',       
  description = 'Library for analyze Excel data',   
  author = 'Lotinex',  
  author_email = 'loard969@gmail.com',
  url = 'https://github.com/Lotinex/Nextcel', 
  download_url = 'https://github.com/Lotinex/Nextcel/archive/refs/tags/v1.3.1.tar.gz',
  keywords = ['Excel', 'analyze', 'python'],
  install_requires=['numpy', 'pandas'],
  classifiers=[
    'Development Status :: 4 - Beta',
    'Intended Audience :: Developers',
    'Topic :: Software Development :: Build Tools',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python :: 3',
    'Programming Language :: Python :: 3.10',
  ],
  long_description=desc,
  long_description_content_type='text/markdown'
)